.\"
.\" "$Id: htmldoc.man,v 1.7 2000/06/29 01:15:55 mike Exp $"
.\"
.\"   Manual page for HTMLDOC, a HTML document processing program.
.\"
.\"   Copyright 1997-2000 by Easy Software Products.
.\"
.\"   HTMLDOC is distributed under the terms of the GNU General Public License
.\"   which is described in the file "COPYING.txt".
.\"
.TH htmldoc 1 "HTMLDOC 1.8.8" "28 June 2000" "Easy Software Products"
.SH NAME
htmldoc \- convert html source files into html, postscript, or pdf.
.sp
.SH SYNOPSIS
htmldoc [options] filename1.html [ ... filenameN.html ]
.LP
htmldoc [options] -
.LP
htmldoc [filename.book]
.sp
.SH OPTIONS
[ -d
.I directory
] [ -f
.I filename
] [ -t
.I format
] [ -v ] [ --bodycolor
.I color
] [ --bodyfont
.I typeface
] [ --bodyimage
.I filename
] [ --book ] [ --bottom
.I margin
] [ --charset
.I {8859-1...8859-15}
] [ --color ] [ --duplex ] [ --effectduration
.I { 0.1..10.0 }
] [ --encryption ] [ --fontsize
.I size
] [ --fontspacing
.I spacing
] [ --footer
.I fff
] [ --format
.I format
] [ --gray ] [ --header
.I fff
] [ --headfootfont
.I font
] [ --headfootsize
.I size
] [ --headingfont
.I typeface
] [ --help ] [ --jpeg
.I [=quality]
] [ --left
.I margin
] [--linkcolor
.I color
] [--linkstyle
.I {plain,underline}
] [ --logoimage
.I filename
] [ --no-compression ] [ --no-duplex ] [ --no-encryption ] [ --no-numbered ]
[ --no-pscommands ] [ --no-title ] [ --no-toc ] [ --numbered ] [ --outdir
.I directory
] [ --outfile
.I filename
] [ --owner-password
.I password
] [ --pageduration
.I {1.0..60.0}
] [ --pageeffect
.I {none,bi,bo,d,gd,gdr,gr,hb,hsi,hso,vb,vsi,vso,wd,wl,wr,wu}
] [ --pagelayout
.I {single,one,twoleft,tworight}
] [ --pagemode
.I {document,outlines,fullscreen}
] [ --path
.I \"dir1;dir2;dir3;...;dirN\"
] [ --permissions
.I permission
] [ --pscommands ] [ --right
.I margin
] [ --size
.I pagesize
] [ --textcolor
.I color
] [ --textfont
.I {courier,times,helvetica}
] [ --title ] [ --titlefile
.I filename
] [ --titleimage
.I filename
] [ --tocfooter
.I fff
] [ --tocheader
.I fff
] [ --toclevels
.I levels
] [ --toctitle
.I string
] [ --top
.I margin
] [ --user-password
.I password
] [ --verbose ] [ --webpage ]
.SH DESCRIPTION
\fIHTMLDOC\fR converts HTML source files into indexed HTML, PostScript, or
Portable Document Format (PDF) files that can be viewed online or printed.
With no options a PDF document is produced on stdout.
.LP
The second form of \fIHTMLDOC\fR reads HTML source from stdin, which allows
you to use \fIHTMLDOC\fR as a filter.
.LP
The third form of \fIHTMLDOC\fR launches a graphical interface that allows you
to change options and generate documents interactively.
.SH COMMON MISTAKES
There are two types of HTML files - structured documents using
headings (H1, H2, etc.) which \fIHTMLDOC\fR calls "books", and
unstructured documents that do not use headings which \fIHTMLDOC\fR
calls "web pages".
.LP
A very common mistake is to try converting a web page using:
.TP 5
htmldoc -f filename.pdf filename.html
.LP
which will likely produce a PDF file with no pages. To convert web
page files you \fBmust\fR use the \fI--webpage\fR option at the
command-line or choose \fIWeb Page\fR in the input tab of the GUI.
.SH SEE ALSO
HTMLDOC 1.8.8 Software Users Manual
.LP
http://www.easysw.com/htmldoc
.SH AUTHOR
Michael Sweet (mike@easysw.com), Easy Software Products
.SH TRADEMARKS
PostScript is a trademark that may be registered in some countries and Adobe is
a registered trademark of Adobe Systems Incorporated.
.SH COPYRIGHTS
Portable Document Format Copyright 1993-1999 by Adobe Systems Incorporated.
.LP
HTMLDOC is copyright 1997-2000 by Easy Software Products. This program is free
software; you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
.LP
This program is based in part on the work of the Independent JPEG Group.
.SH NO WARRANTY
This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.
.\"
.\" End of "$Id: htmldoc.man,v 1.7 2000/06/29 01:15:55 mike Exp $".
.\"
